_UserTransactionServerImp_Tie (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.icatch.jta

## Class _UserTransactionServerImp_Tie

- java.lang.Object
- - org.omg.CORBA.portable.ObjectImpl
  - - org.omg.CORBA_2_3.portable.ObjectImpl
    - - com.atomikos.icatch.jta._UserTransactionServerImp_Tie

- All Implemented Interfaces:
    javax.rmi.CORBA.Tie, org.omg.CORBA.Object, org.omg.CORBA.portable.InvokeHandler

      public class _UserTransactionServerImp_Tie
      extends org.omg.CORBA_2_3.portable.ObjectImpl
      implements javax.rmi.CORBA.Tie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `_UserTransactionServerImp_Tie()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `_ids()`
    `org.omg.CORBA.portable.OutputStream` | `_invoke(java.lang.String method, org.omg.CORBA.portable.InputStream _in, org.omg.CORBA.portable.ResponseHandler reply)`
    `void` | `deactivate()`
    `java.rmi.Remote` | `getTarget()`
    `org.omg.CORBA.ORB` | `orb()`
    `void` | `orb(org.omg.CORBA.ORB orb)`
    `void` | `setTarget(java.rmi.Remote target)`
    `org.omg.CORBA.Object` | `thisObject()`

    - ### Methods inherited from class org.omg.CORBA_2_3.portable.ObjectImpl

      `_get_codebase`

    - ### Methods inherited from class org.omg.CORBA.portable.ObjectImpl

      `_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### _UserTransactionServerImp_Tie

          public _UserTransactionServerImp_Tie()

  - ### Method Detail

    - #### setTarget

          public void setTarget(java.rmi.Remote target)

      Specified by:
        `setTarget` in interface `javax.rmi.CORBA.Tie`

    - #### getTarget

          public java.rmi.Remote getTarget()

      Specified by:
        `getTarget` in interface `javax.rmi.CORBA.Tie`

    - #### thisObject

          public org.omg.CORBA.Object thisObject()

      Specified by:
        `thisObject` in interface `javax.rmi.CORBA.Tie`

    - #### deactivate

          public void deactivate()

      Specified by:
        `deactivate` in interface `javax.rmi.CORBA.Tie`

    - #### orb

          public org.omg.CORBA.ORB orb()

      Specified by:
        `orb` in interface `javax.rmi.CORBA.Tie`

    - #### orb

          public void orb(org.omg.CORBA.ORB orb)

      Specified by:
        `orb` in interface `javax.rmi.CORBA.Tie`

    - #### _ids

          public java.lang.String[] _ids()

      Specified by:
        `_ids` in class `org.omg.CORBA.portable.ObjectImpl`

    - #### _invoke

          public org.omg.CORBA.portable.OutputStream _invoke(java.lang.String method,
                                                    org.omg.CORBA.portable.InputStream _in,
                                                    org.omg.CORBA.portable.ResponseHandler reply)
                                                      throws org.omg.CORBA.SystemException

      Specified by:
        `_invoke` in interface `org.omg.CORBA.portable.InvokeHandler`
      Throws:
        `org.omg.CORBA.SystemException`

Copyright © 2018. All Rights Reserved.